## unattended-upgrades 1.1ubuntu1.18.04.7~16.04.4+8.0trisquel2

=== debian/changelog ===
unattended-upgrades (1.1ubuntu1.18.04.7~16.04.4+8.0trisquel2) flidas; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 07 Nov 2019 17:10:29 +0000

unattended-upgrades (1.1ubuntu1.18.04.7~16.04.4) xenial; urgency=medium

  * Report packages kept back by origin (LP: #1821376)
  * Store list of kept packages and report the number of them in motd
    (LP: #1823070)
  * Default to "/" as rootdir to fix saving list of kept packages.
    Thanks to Paul Wise (Closes: #932160)
  * debian/tests/control: Mark upgrade-between-snapshots as flaky
    (Closes: #941752) (LP: #1848354)

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 18 Oct 2019 13:29:41 +0200
