=== debian/changelog ===
unattended-upgrades (1.1ubuntu1.18.04.7~16.04.7) xenial; urgency=medium

  * data: add md5sum history file on the data folder (LP: #1915547)
    - This file contains the md5sum of the current xenial and trusty
      version of 50unattended-upgrades. This file will be used to avoid
      prompting users about unattended-upgrade changes when upgrading
      from trusty to xenial.
  * debian/postint: make ucf command reference the md5sum history file

 -- Lucas Moura <lucas.moura@canonical.com>  Wed, 10 Feb 2021 17:37:18 -0300
