=== debian/control ===
Source: unattended-upgrades
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Michael Vogt <mvo@debian.org>
Uploaders: Balint Reczey <rbalint@ubuntu.com>
Section: admin
Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9~),
               equivs,
               gir1.2-glib-2.0,
               po-debconf,
               python,
               python-gi,
               python3,
               python3-dbus,
               python3-distutils-extra,
               python3-gi,
               python3-setuptools
Build-Depends-Indep: python-dev,
                     python3-dev,
                     python-coverage,
                     pep8,
                     pyflakes,
                     python-apt,
#                    powermgmt-base, (tests disable on_ac_power checks)
                     python3-apt,
                     python-mock,
                     python3-mock,
                     lsb-release,
                     dh-systemd
Standards-Version: 3.9.3
Vcs-Git: https://github.com/mvo5/unattended-upgrades.git

Package: unattended-upgrades
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         debconf,
         gir1.2-glib-2.0,
         powermgmt-base,
         python3,
         python3-apt,
         python3-gi,
         python3-dbus,
         ucf,
         lsb-release,
         lsb-base,
         xz-utils
Recommends: cron | cron-daemon | anacron
Suggests: bsd-mailx,
          default-mta | mail-transport-agent,
          needrestart
Description: automatic installation of security upgrades
 This package can download and install security upgrades automatically
 and unattended, taking care to only install packages from the
 configured APT source, and checking for dpkg prompts about
 configuration file changes.
 .
 This script is the backend for the APT::Periodic::Unattended-Upgrade
 option.
