## unattended-upgrades 1.1ubuntu1.18.04.7~16.04.7%2B8.0trisquel2

=== debian/changelog ===
unattended-upgrades (1.1ubuntu1.18.04.7~16.04.7+8.0trisquel2) flidas; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 25 Mar 2021 13:06:45 +0000
