## unattended-upgrades 1.1ubuntu1.18.04.12+9.0trisquel2

=== debian/changelog ===
unattended-upgrades (1.1ubuntu1.18.04.12+9.0trisquel2) etiona; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 16 Nov 2019 01:01:00 +0000

unattended-upgrades (1.1ubuntu1.18.04.12) bionic; urgency=medium

  * Report packages kept back by origin (LP: #1821376)
  * Store list of kept packages and report the number of them in motd
    (LP: #1823070)
  * Default to "/" as rootdir to fix saving list of kept packages.
    Thanks to Paul Wise (Closes: #932160)
  * debian/tests/control: Mark upgrade-between-snapshots as flaky
    (Closes: #941752) (LP: #1848354)

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 18 Oct 2019 13:24:28 +0200

unattended-upgrades (1.1ubuntu1.18.04.11) bionic; urgency=medium

  * Detect changes to moved conffiles (LP: #1823872)
    - Add tests for checking conffile moves.
      Build depend on and use equivs to generate new test packages
    - Split() conffile data to set of names only once
    - Don't parse dpkg conffile db when there are no conffiles in the package
  * Detect unchanged moved conffiles.
    When a package moves a conffile properly without any change no conffile
    prompt needs to be shown thus the package can be upgraded unattended.
    (LP: #1823872)
  * Skip sending email when no package had to be installed, upgraded or removed
    (LP: #1821103) (Closes: #924554)
  * Make sure autoremovals don't start with a dirty cache and remove other
    packages (LP: #1824341)
  * Continue applying minimal sets when one set can't be marked for upgrade.
    Thanks to Anderson Luiz Alves for the patch, it needed minor modifications
    (LP: #1824341)
  * Stop raising NoAllowedOriginError when marking packages to upgrade/install
    fails (LP: #1824876)
  * Adjust only transitive dependencies in the fallback when a package from an
    allowed origin can't be marked to install/upgrade.
    This is a much lighter approach than marking every upgradable package
    because the full fallback was triggered on packages held back as well,
    using an excessive amount of CPU time.
    Also it crashed with packages not having any version in allowed origins.
    (LP: #1824804, #1824949)
  * Skip trying to upgrade held packages in call_adjusted() (LP: #1824804)
  * Follow all kinds of transitive dependencies when adjusting dependencies
  * Don't crash collecting transitive dependencies when package has no candidate
    (LP: #1825886)
  * Use mark_install_adjusted() in rewind_cache()
    The original cache had packages marked with adjustments thus rewinding
    should also do adjustments to reach the same state.
    Also not using mark_install_adjusted() crashes when apt raises error on
    held packages. (LP: #1826157)
    - test_rewind: Update test to check if adjustend rewinding took place

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 29 Apr 2019 12:13:14 +0200

unattended-upgrades (1.1ubuntu1.18.04.10) bionic; urgency=medium

  * do_auto_remove() is successful unless a commit() operation fails
    (LP: #1795696)
  * Compare apt.package.Version objects and not the versions' string
    representation. (LP: #1820888)
    This prevented adjusting candidates when the strings sorted differently.
    Also extend tests to catch issue.
  * Fall back to adjusting more packages' candidates
    when a package from an allowed origin can't be marked to install/upgrade.
    (LP: #1821101)

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 25 Mar 2019 18:17:56 +0100

unattended-upgrades (1.1ubuntu1.18.04.9) bionic; urgency=medium

  * debian/changlog: Drop extra trailer after old entry
  * Don't check blacklist too early and report updates from not allowed origins
    as kept back. (LP: #1781176)
  * test/test_blacklisted_wrong_origin.py: Fix and enable test
  * Clear cache when autoremoval fails (LP: #1779157)
  * Find autoremovable kernel packages using the patterns in APT's way
    (LP: #1815494)

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 21 Feb 2019 14:58:38 +0100

unattended-upgrades (1.1ubuntu1.18.04.8) bionic; urgency=medium

  * Start service after systemd-logind.service to be able to take inhibition
    lock (LP: #1806487)
  * Handle gracefully when logind is down (LP: #1806487)

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 13 Dec 2018 14:42:44 +0100
