=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: admin
 Testsuite: autopkgtest
 Priority: optional
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper (>= 9.20160709),
                equivs,
                gir1.2-glib-2.0,
                po-debconf,
@@ -26,8 +26,7 @@
                      python3-apt,
                      python-mock,
                      python3-mock,
-                     lsb-release,
-                     dh-systemd
+                     lsb-release
 Standards-Version: 3.9.3
 Vcs-Git: https://github.com/mvo5/unattended-upgrades.git
