## unattended-upgrades 1.1ubuntu1.18.04.14+9.0trisquel2

=== debian/changelog ===
unattended-upgrades (1.1ubuntu1.18.04.14+9.0trisquel2) etiona; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 28 Feb 2020 22:15:52 +0000
