## unattended-upgrades 1.1ubuntu1.18.04.14+9.0trisquel4

=== debian/changelog ===
unattended-upgrades (1.1ubuntu1.18.04.14+9.0trisquel4) etiona; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 28 May 2022 02:00:59 +0000
