## unattended-upgrades 1.5ubuntu3

=== debian/changelog ===
unattended-upgrades (1.5ubuntu3) cosmic; urgency=medium

  * Skip already adjusted packages from being checked for readjusting.
    This makes it clearer that the recursion ends and can also be a bit quicker.
    (LP: #1790687)
  * Fix PEP 8 warnings.
    Also ignore "W503 line break before binary operator" because it will
    become the best practice.
  * Don't crash on missing dpkg log file (LP: #1795692)
  * do_auto_remove() is successful unless a commit() operation fails
    (LP: #1795696)
  * Check only dowloaded .deb files for conffile prompts (LP: #1796100)

 -- Balint Reczey <rbalint@ubuntu.com>  Sun, 07 Oct 2018 23:16:17 +0200

unattended-upgrades (1.5ubuntu2) cosmic; urgency=medium

  * Reopen Cache after commit() even when frontend locking is supported.
    This fixes build and operation with latest python-apt.

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 28 Aug 2018 15:46:25 +0200

unattended-upgrades (1.5ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable
    - Remaining changes:
      - unattended-upgrades: Do not automatically upgrade the development
        release of Ubuntu unless Unattended-Upgrade::DevRelease is true.
    - Dropped changes, included in Debian:
      - Redirect stderr output in upgrade-all-security and
        upgrade-between-snapshots otherwise it breaks the test
      - Skip rebuilding python-apt in upgrade autopkgtests

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 23 Aug 2018 11:02:51 +0200

unattended-upgrades (1.5) unstable; urgency=medium

  * Redirect stderr output in upgrade-all-security and upgrade-between-snapshots
    otherwise it breaks the test (LP: #1781446)
  * Skip rebuilding python-apt in upgrade autopkgtests.
    Python-apt has a new build dependency making the rebuilding as is failing
    and the reference handling issue is worked around in unattended-upgrades
    already. (LP: #1781586)
  * Install release's latest python-apt in upgrade-all-security
  * Don't check blacklist too early and report updates from not allowed origins as kept back.
    This fixes #116 again that was fixed but regressed with 18d23402aae24febb6bda539ac7c410fd86ae80d
    (LP: #1781176)
  * Run unattended-upgrades.service before shutdown.target as a oneshot service.
    Performing upgrades in service's ExecStop did not work when the upgrades
    involved restarting services because systemd blocked other stop/start actions
    making maintainer scripts time out and be killed leaving a broken system
    behind. (LP: #1778219)
  * Use os.environ[] to set debconf to NON_INTERACTIVE instead of os.putenv()
    os.putenv() does not change os.environ but os.environ can be used in python-apt
    to set environment for subprocesses in which case os.putenv()'s effect is
    ignored.
  * Use valgrind in upgrade autopkgtest when it is installed in the autopkgtest environment
  * Stop trying when no adjustment could be made and adjust package candidates only to lower versions
    (LP: #1785093)
  * List Unattended-Upgrade::Remove-New-Unused-Dependencies option the config file.
    Also fix description of Unattended-Upgrade::Remove-Unused-Dependencies.

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 23 Aug 2018 09:40:13 +0200

unattended-upgrades (1.4ubuntu2) cosmic; urgency=medium

  * Redirect stderr output in upgrade-all-security and
    upgrade-between-snapshots otherwise it breaks the test (LP: #1781446)
  * Skip rebuilding python-apt in upgrade autopkgtests.
    Python-apt has a new build dependency making the rebuilding as is failing
    and the reference handling issue is worked around in unattended-upgrades
    already, install release's latest python-apt in upgrade-all-security
    instead (LP: #1781586)

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 13 Jul 2018 17:08:54 +0200

unattended-upgrades (1.4ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable
    - Remaining changes:
      - unattended-upgrades: Do not automatically upgrade the development
        release of Ubuntu unless Unattended-Upgrade::DevRelease is true.
    - Dropped changes, included in Debian:
      - Stop rewriting test apt.conf in test_untrusted.py.
      - Fix test_on_battery on Ubuntu development releases

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 06 Jul 2018 13:33:29 +0200

unattended-upgrades (1.4) unstable; urgency=medium

  * Skip starting init.d script in debhelper-generated postinst part
    (LP: #1778800)
  * Use "deb-systemd-invoke start" instead of "systemctl start" in postinst.
    It is used only in a workaround applied for a Debian bug and for upgrading
    from pre-bionic versions.
  * Clear cache when autoremoval is invalid for a package set marked for
    removal (LP: #1779157)
  * Clear cache after failed commits to return from a possibly invalid state
  * Unlock for dpkg operations with apt_pkg.pkgsystem_unlock_inner() when it
    is available, also stop running when reacquiring the lock fails.
    Thanks to to Julian Andres Klode for original partial patch
  * Use fully qualified domain name in email subject.
  * Send email about all failures and crashes (Closes: #898607)
  * Add short textual summary of the results in the summary email
  * Recommend overriding configuration in a separate file.
    This can be better than changing /etc/apt/apt.conf.d/50unattended-upgrades
    because package updates don't conflict with local changes this way.
  * Adjust candidates only for packages to be possibly installed
    (Closes: #892028, #899366) (LP: #1396787)
  * Add Unattended-Upgrade::OnlyOnACPower config file example for all
    distributions
  * debian/control: Drop redundant Testsuite: autopkgtest field to keep Lintian
    happy
  * Bump Standards-Version to 4.1.4
  * Add debian/tests/upgrade-all-security to install all current security
    updates. On development releases this tests latest stable, on stable
    releases it tests the release itself.
  * Skip updates on metered connections (Closes: #855570)
  * Quote shell variables in autopkgtest

