=== debian/control ===
--- 
+++ 
@@ -3,31 +3,23 @@
 XSBC-Original-Maintainer: Michael Vogt <mvo@debian.org>
 Uploaders: Balint Reczey <rbalint@ubuntu.com>
 Section: admin
-Testsuite: autopkgtest
 Priority: optional
 Build-Depends: debhelper (>= 9.20160709),
-               equivs,
                gir1.2-glib-2.0,
                po-debconf,
-               python,
-               python-gi,
                python3,
-               python3-dbus,
                python3-distutils-extra,
                python3-gi,
                python3-setuptools
-Build-Depends-Indep: python-dev,
-                     python3-dev,
-                     python-coverage,
+Build-Depends-Indep: python3-dev,
+                     python3-coverage,
                      pep8,
-                     pyflakes,
-                     python-apt,
 #                    powermgmt-base, (tests disable on_ac_power checks)
+                     pyflakes3,
                      python3-apt,
-                     python-mock,
                      python3-mock,
                      lsb-release
-Standards-Version: 3.9.3
+Standards-Version: 4.1.4
 Vcs-Git: https://github.com/mvo5/unattended-upgrades.git
 
 Package: unattended-upgrades
@@ -40,7 +32,6 @@
          python3,
          python3-apt,
          python3-gi,
-         python3-dbus,
          ucf,
          lsb-release,
          lsb-base,
