=== debian/control ===
--- 
+++ 
@@ -5,9 +5,11 @@
 Section: admin
 Priority: optional
 Build-Depends: debhelper (>= 9.20160709),
+               equivs,
                gir1.2-glib-2.0,
                po-debconf,
                python3,
+               python3-dbus,
                python3-distutils-extra,
                python3-gi,
                python3-setuptools
@@ -32,6 +34,7 @@
          python3,
          python3-apt,
          python3-gi,
+         python3-dbus,
          ucf,
          lsb-release,
          lsb-base,
