## unattended-upgrades 1.10ubuntu5

=== debian/changelog ===
unattended-upgrades (1.10ubuntu5) disco; urgency=medium

  * Adjust only transitive dependencies in the fallback
    when a package from an allowed origin can't be marked to install/upgrade.
    This is a much lighter approach than marking every upgradable package because
    the full fallback was triggered on packages held back as well, using an
    excessive amount of CPU time.
    Also it crashed with packages not having any version in allowed origins.
    (LP: #1824804, #1824949)

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 16 Apr 2019 08:54:49 +0200

unattended-upgrades (1.10ubuntu4) disco; urgency=medium

  * Make sure autoremovals don't start with a dirty cache and remove other
    packages (LP: #1824341)
  * Continue applying minimal sets when one set can't be marked for upgrade.
    Thanks to Anderson Luiz Alves for the patch, it needed minor modifications
    (LP: #1824341)
  * Stop raising NoAllowedOriginError when marking packages to upgrade/install
    fails (LP: #1824876)

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 16 Apr 2019 00:01:56 +0200

unattended-upgrades (1.10ubuntu3) disco; urgency=medium

  * Detect changes to moved conffiles (LP: #1823872)
  * Add tests for checking conffile moves.
    Build depend on and use equivs to generate new test packages

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 11 Apr 2019 22:48:00 +0200

unattended-upgrades (1.10ubuntu2) disco; urgency=medium

  * Compare apt.package.Version objects and not the versions' string
    representation. (LP: #1820888)
    This prevented adjusting candidates when the strings sorted differently.
    Also extend tests to catch issue.
  * Fall back to adjusting more packages' candidates
    when a package from an allowed origin can't be marked to install/upgrade.
    (LP: #1821101)
  * Skip sending email when no package had to be installed, upgraded or removed
    (LP: #1821103) (Closes: #924554)

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 22 Mar 2019 20:42:08 +0100

unattended-upgrades (1.10ubuntu1) disco; urgency=medium

  * Use defaults in unattended-upgrades.service when the APT configuration is
    broken. (LP: #1815189)
  * test/test_blacklisted_wrong_origin.py: Fix and enable test
  * Clear cache when autoremoval fails (LP: #1779157)
  * Find autoremovable kernel packages using the patterns in APT's way
    (LP: #1815494)
  * debian/rules: clean frontend locks left by tests before building source

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 18 Feb 2019 17:26:05 +0100

unattended-upgrades (1.10) unstable; urgency=medium

  * autopkgtest: Check if upgrading in minimal steps is the default
  * Comment out example blacklist item that slipped in to the default config
  * Don't print error on empty /var/run/reboot-required.pkgs
  * Fix filtering out dpkg progress indicator (LP: #1599646) (Closes: #919407)
  * Clear cache after checking upgrades against the blacklist again.
    This fixes the issue when the dirty cache caused all packages to be
    upgraded in the first "minimal" step.
    Thanks to Paul Wise
  * Populate cache for the fetcher after calculate_upgradable_pkgs() left it
    clean. Otherwise the packages are downloaded later skipping the conffile
    tests and possibly failing in a package installation step due to changed
    config files. (Closes: #918323)
  * Fix non-minimal upgrades

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 28 Jan 2019 21:35:26 +0700

unattended-upgrades (1.9) unstable; urgency=medium

  [ Julian Andres Klode ]
  * test_dev_release: Fix and enable test.
  * Depend on python3-distro-info.
    This is needed to make sure DEVEL_UNTIL_RELEASE actually works. We need
    to fix up travis in addition to control, as it only knows about trusty
    build dependencies.
  * Import distro_info globally, and fix calculation of days.
    The check was off by one: If you were 21 days away from the release,
    it would not switch on, but tell you that it would not upgrade before
    today.
  * test_dev_release: Test Unattended-Upgrade::DevRelease=auto.

  [ David Lang and Balint Reczey]
  * Allow installing untrusted packages when APT::Get::AllowUnauthenticated
    is set (Closes: #775469) (LP: #1167053)

  [ Hans van Kranenburg and Balint Reczey]
  * Clarify highly misleading Package-Blacklist option documentation
    (Closes: #753892)

  [ Balint Reczey ]
  * test/test_dev_release.py: Fix missing mock attributes
  * Leave the cache clean when returning from calculate_upgradable_pkgs()
    When collecting upgradable packages the upgradable ones stayed in the
    cache and they were upgraded together even when unattended-upgrades
    was configured to perform upgrades in minimal steps.
    Thanks to Paul Wise
  * debian/tests/upgrade-all-security: Check if all security-updates are
    applied and if old-autoremovable packages are kept
  * Clear cache only when needed when checking black- and whitelists
  * Add --no-minimal-upgrade-steps option
  * Stop using untrusted package names as blacklists (LP: #1805447)
  * Update copyright info
  * Load modules lazily loaded by datetime.datetime.strptime() when u-u starts
    When Python is upgraded to a new major version the version running
    unattended-upgrades can be removed as being newly unused causing a crash.
  * Start service after systemd-logind.service to be able to take inhibition
    lock and handle gracefully when logind is down (LP: #1806487)
  * List packages making reboot required in /var/run/reboot-required.pkgs

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 12 Dec 2018 13:41:49 +0100

unattended-upgrades (1.8) unstable; urgency=medium

  * Add note about increasing InhibitDelayMaxSec for InstallOnShutdown to
    50unattended-upgrades.
  * Ship historical md5sums of /etc/apt/apt.conf.d/50unattended-upgrades for ucf
  * Remove .ucf-* configuration file copies on purge
  * Add NEWS entry about increasing InhibitDelayMaxSec and InstallOnShutdown
    changes

