=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
 Priority: optional
 Build-Depends: debhelper (>= 9.20160709),
                equivs,
-               gir1.2-glib-2.0,
                po-debconf,
                python3,
                python3-dbus,
@@ -15,7 +14,8 @@
                python3-setuptools
 Build-Depends-Indep: python3-dev,
                      python3-coverage,
-                     pep8,
+                     python3-distro-info,
+                     pycodestyle | pep8,
 #                    powermgmt-base, (tests disable on_ac_power checks)
                      pyflakes3,
                      python3-apt,
@@ -29,20 +29,20 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          debconf,
-         gir1.2-glib-2.0,
-         powermgmt-base,
          python3,
          python3-apt,
-         python3-gi,
          python3-dbus,
+         python3-distro-info,
          ucf,
          lsb-release,
          lsb-base,
          xz-utils
-Recommends: cron | cron-daemon | anacron
+Recommends: systemd-sysv | cron | cron-daemon | anacron
 Suggests: bsd-mailx,
           default-mta | mail-transport-agent,
-          needrestart
+          needrestart,
+          powermgmt-base,
+          python3-gi
 Description: automatic installation of security upgrades
  This package can download and install security upgrades automatically
  and unattended, taking care to only install packages from the
