=== debian/tests/control ===
--- 
+++ 
@@ -8,4 +8,4 @@
 
 Tests: upgrade-between-snapshots
 Depends: @, @builddeps@, debootstrap
-Restrictions: needs-root, build-needed, flaky
+Restrictions: needs-root, build-needed
