=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: unattended-upgrades
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Michael Vogt <mvo@debian.org>
+Maintainer: Michael Vogt <mvo@debian.org>
 Uploaders: Balint Reczey <rbalint@ubuntu.com>
 Section: admin
 Priority: optional
 Build-Depends: debhelper (>= 9.20160709),
-               equivs,
                po-debconf,
                python3,
                python3-dbus,
