## unattended-upgrades 1.11.2+nmu1

=== debian/changelog ===
unattended-upgrades (1.11.2+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 20:00:19 +0800
