## unattended-upgrades 1.14ubuntu1

=== debian/changelog ===
unattended-upgrades (1.14ubuntu1) eoan; urgency=medium

  * autopkgtest: Retry failing downloads a few times
  * test/autopkgtest_kernel_patterns.py: Add debug statements
  * test/autopkgtest_kernel_patterns.py: Use stricter pattern for packages to
    check

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 08 Aug 2019 22:25:47 +0200

unattended-upgrades (1.14) unstable; urgency=medium

  [ Balint Reczey ]
  * Check if md5sums of configuration files are shipped in releases
  * debian/rules: Check duplicate lines in data/50unattended-upgrades.md5sum
  * Use Debian's security updates from $distro-security starting with Bullseye
  * Allow both ${distro_codename} or ${distro_codename}-security on Debian
    as security update codenames. The latter will be used starting with
    Bullseye, but to help backporting and testing the configuration file keeps
    working on Buster and older releases. (Closes: #933138)
  * Default to "/" as rootdir to fix saving list of kept packages.
    Thanks to Paul Wise (Closes: #932160)
  * data/50unattended-upgrades.md5sum: Update for change in Debian's config
  * unattended-upgrade-shutdown: Fix FTBFS due to latest pyflakes' check

  [ Tobias Bannert ]
  * updated german translation

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 07 Aug 2019 17:04:10 +0200

unattended-upgrades (1.13) unstable; urgency=medium

  [ Alban VIDAL ]
  * Update french translation.
    Signed-off-by: Alban VIDAL <alban.vidal@zordhak.fr>

  [ Balint Reczey ]
  * Don't crash collecting transitive dependencies when package has no
    candidate (LP: #1825886)
  * Use mark_install_adjusted() in rewind_cache()
    The original cache had packages marked with adjustments thus rewinding
    should also do adjustments to reach the same state. Not using
    mark_install_adjusted() also crashes when apt raises error on held
    packages. (LP: #1826157)
  * test_rewind: Update test to check if adjustend rewinding took place
  * Only allow removals in valid autoremoval sets
  * Fix one more log location in the man page (Closes: #928601)
  * Factor out kernel regexp generation to functions
  * Packages including kernel version without flavor in their name may be
    kernel packages. Also add autopkgtest for checking if the generated
    patterns cover the currently running kernel. (LP: #1828200)
  * Skip upgrade-all-security test when there are no updates to test with.
    Shortly after a release there may not be security updates against the
    packages used in the chroot used for the test.
  * Test with latest stable in upgrade-all-security on testing
  * Fix testing Debian's updates in upgrade-all-security
  * Store list of kept packages and report the number of them in motd
    (LP: #1823070)
  * Mention APT's apt-daily-upgrade.service in the man page
  * 50unattended-upgrades.md5sum add MD5 of current files
  * PEP8: Fix breaking line after binary operator
  * debian/tests/control: Fix Depends: of upgrade-between-snapshots
  * debian/tests/control: Allow stderr in kernel-patterns

  [ Gordon Lack ]
  * Replace boolean Unattended-Upgrade::MailOnlyOnError2 mail reporting setting
    with multi-valued (string) Unattended-Upgrade::MailReport.

  [ Jaime Hablutzel ]
  * Error message improved on very improbable condition

  [ Clint Armstrong ]
  * Fix showing multi-line strings on Plymouth.
    When unattended-upgrades sends it's status to plymouth it sends a
    multi-line string which causes plymouth to display overlapping text,
    because plymouth only scrolls one line when the message is sent.
    (LP: 1826406)

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 08 Jul 2019 11:08:30 +0200

unattended-upgrades (1.12) experimental; urgency=medium

  [ Brannon Dorsey ]
  * Remove double "format" in 50unattended-upgrades configuration files

  [ Daniel Herzig ]
  * man: improve unattended-upgrade.8 man-page (Closes: #905289)

  [ Jonatan Nyberg ]
  * Swedish debconf strings update (Closes: #925488)

  [ Balint Reczey ]
  * Compare apt.package.Version objects and not the versions' string
    representation. This prevented adjusting candidates when the strings sorted
    differently (LP: #1820888)
  * Enable test_clean and test_patch_days tests
  * Fall back to adjusting more packages' candidates when a package from an
    allowed origin can't be marked to install/upgrade. (LP: #1821101)
  * Skip sending email when no package had to be installed, upgraded or removed
    (LP: #1821103) (Closes: #924554)
  * Add a few debug logging points
  * Report packages kept back by origin (LP: #1821376)
  * Fix trailing newlines in wrapped email lines
  * Describe candidate adjustment fallback better in the debug message
  * Fix missing space. Thanks to Alban VIDAL
  * Update POT file
  * Test upgrades to -updates and to -proposed in upgrade-all-security
    autopkgtest. Also enable -updates, too, while testing in Debian.
  * Add ${distro_id}ESM:${distro_codename}-security to allowed origins
    (LP: #1823376)
  * Detect changes to moved conffiles (LP: #1823872)
  * Add tests for checking conffile moves.
    Build depend on and use equivs to generate new test packages
  * Make sure autoremovals don't start with a dirty cache and remove other
    packages (LP: #1824341)
  * Stop raising NoAllowedOriginError when marking packages to upgrade/install
    fails (LP: #1824876)
  * Continue applying minimal sets when one set can't be marked for upgrade.
    Thanks to Anderson Luiz Alves for the patch, it needed minor modifications
    (LP: #1824341)
  * Skip trying to upgrade held packages in call_adjusted() (LP: #1824804)
  * Adjust only transitive dependencies in the fallback when a package from an
    allowed origin can't be marked to install/upgrade.
    This is a much lighter approach than marking every upgradable package
    because the full fallback was triggered on packages held back as well,
    using an excessive amount of CPU time. (LP: #1824804, #1824949)

