=== debian/tests/control ===
--- 
+++ 
@@ -7,5 +7,9 @@
 Restrictions: needs-root, build-needed, skippable
 
 Tests: upgrade-between-snapshots
+Restrictions: needs-root, build-needed
 Depends: @, @builddeps@, debootstrap
-Restrictions: needs-root, build-needed
+
+Tests: kernel-patterns
+Depends: @, @builddeps@
+Restrictions: build-needed, allow-stderr
