## unattended-upgrades 1.14ubuntu1.2

=== debian/changelog ===
unattended-upgrades (1.14ubuntu1.2) eoan; urgency=medium

  * data/50unattended-upgrades.Ubuntu: add new ESM repositories (LP: #1857051)
  * Update md5sum of 50unattended-upgrades.Ubuntu

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 17 Feb 2020 12:29:17 +0100

unattended-upgrades (1.14ubuntu1.1) eoan; urgency=medium

  * debian/tests/control: Mark upgrade-between-snapshots as flaky
    (Closes: #941752) (LP: #1848354)

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 16 Oct 2019 17:47:42 +0200
