=== debian/tests/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Restrictions: needs-root, build-needed, skippable
 
 Tests: upgrade-between-snapshots
-Restrictions: needs-root, build-needed
+Restrictions: needs-root, build-needed, flaky
 Depends: @, @builddeps@, debootstrap
 
 Tests: kernel-patterns
